Subject: Re: FAQ and Windows

From: "Magnus Hagander" <[email-masked]>
Date: Wed, 1 Dec 2004 12:52:32 +0100

Updated with link to Cygwin FAQ. (the website will update soon with the
automatic CVS pull) Not sure if you wanted anything else there as well?
(the mentions that it's native only etc was done long ago by Dave)

I see no mention at all of Cygwin in the MingW FAQ as it is now?
(http://www.postgresql.org/docs/faqs/FAQ_MINGW.html). Though that file
is dated Oct 14, perhaps it just hasn't pulled in your changes? (I think
it'd be good to have "all the FAQs link to each other" when possible, to
direct users that got started at the wrong end)

Finally, I don't see the pginstaller FAQ linked from the FAQ list per
Ians suggestion - I think that'd be a good idea.

//Magnus 

> -----Original Message-----
> From: Bruce Momjian [mailto:[email-masked]] 
> Sent: Saturday, November 27, 2004 6:20 AM
> To: Ian Barwick
> Cc: [email-masked]; Magnus Hagander
> Subject: Re: [DOCS] FAQ and Windows
> 
> 
> OK, I updated the FAQ by adding this sentence:
> 
> 	MSDOS-based versions of Windows (Win95, Win98, WinMe) can run
> 	PostgreSQL using Cygwin.
> 
> I also updated the version number.
> 
> Magnus is going to update the pginstaller FAQ to talk about 
> using Win32 and I am going to have the CVS Win32 FAQ talk 
> about building on Win32, and each FAQ is going to point to 
> the other.  Magnus, FAQ_MINGW already points to the 
> pginstaller FAQ.  Can we complete the adjustement of these FAQ's?
> 
> --------------------------------------------------------------
> -------------
> 
> Ian Barwick wrote:
> > Hi
> > 
> > I was trying to clarify the installation options for Windows and 
> > noticed all mention of the Cygwin package has been dropped 
> from the FAQ.
> > Attached is a patch mentioning this is the only option for 
> DOS-based 
> > Windows (95 ~ ME) - someone is bound to ask - and with links to the 
> > relevant FAQs. I also bumped the current version number.
> > 
> > On a related note I'd suggest adding the "Native Win32 FAQ"
> > ( 
> http://pginstaller.projects.postgresql.org/FAQ_windows.html ) to the 
> > list at http://www.postgresql.org/docs/#faqs .
> > 
> > Ian Barwick
> > [email-masked]

---

From: Bruce Momjian <[email-masked]>
Date: Wed, 1 Dec 2004 12:53:56 -0500 (EST)

> Ians suggestion - I think that'd be a good idea.

OK, we will need one of the www guys to add your FAQ to the list.  WWW guys?

As far as changes, I was thinking you should remove information about
building and point to the FAQ_MINGW, but I see you already did that, so
we are looking good.

---------------------------------------------------------------------------

> ---------------------------(end of broadcast)---------------------------
> TIP 8: explain analyze is your friend
> 

-- 
  Bruce Momjian                        |  http://candle.pha.pa.us
  [email-masked]               |  (610) 359-1001
  +  If your life is a hard drive,     |  13 Roberts Road
  +  Christ can be your backup.        |  Newtown Square, Pennsylvania 19073